Index: c/src/lib/libbsp/no_cpu/no_bsp/ChangeLog
===================================================================
--- c/src/lib/libbsp/no_cpu/no_bsp/ChangeLog	(revision 8638af24e4502d3f6564802530910c0bd07c1d83)
+++ c/src/lib/libbsp/no_cpu/no_bsp/ChangeLog	(revision 19bb9c30be7ad5c435070d347d4c777db732f86e)
@@ -1,2 +1,12 @@
+2003-12-03	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* Makefile.am: Add preinstallation dirstamp support.
+	* clock/Makefile.am: Cosmetics.
+	* console/Makefile.am: Cosmetics.
+	* shmsupp/Makefile.am: Cosmetics.
+	* startup/Makefile.am: Cosmetics.
+	* timer/Makefile.am: Cosmetics.
+	* wrapup/Makefile.am: Cosmetics.
+
 2003-12-02	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: c/src/lib/libbsp/no_cpu/no_bsp/Makefile.am
===================================================================
--- c/src/lib/libbsp/no_cpu/no_bsp/Makefile.am	(revision 8638af24e4502d3f6564802530910c0bd07c1d83)
+++ c/src/lib/libbsp/no_cpu/no_bsp/Makefile.am	(revision 19bb9c30be7ad5c435070d347d4c777db732f86e)
@@ -17,6 +17,6 @@
 EXTRA_DIST = times
 
-$(PROJECT_INCLUDE)/coverhd.h: include/coverhd.h
-	$(INSTALL_DATA) $< $@
+$(PROJECT_INCLUDE)/coverhd.h: include/coverhd.h $(PROJECT_INCLUDE)/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/coverhd.h
 PREINSTALL_FILES += $(PROJECT_INCLUDE)/coverhd.h
 
Index: c/src/lib/libbsp/no_cpu/no_bsp/clock/Makefile.am
===================================================================
--- c/src/lib/libbsp/no_cpu/no_bsp/clock/Makefile.am	(revision 8638af24e4502d3f6564802530910c0bd07c1d83)
+++ c/src/lib/libbsp/no_cpu/no_bsp/clock/Makefile.am	(revision 19bb9c30be7ad5c435070d347d4c777db732f86e)
@@ -2,5 +2,4 @@
 ## $Id$
 ##
-
 
 PGM = $(ARCH)/clock.rel
Index: c/src/lib/libbsp/no_cpu/no_bsp/console/Makefile.am
===================================================================
--- c/src/lib/libbsp/no_cpu/no_bsp/console/Makefile.am	(revision 8638af24e4502d3f6564802530910c0bd07c1d83)
+++ c/src/lib/libbsp/no_cpu/no_bsp/console/Makefile.am	(revision 19bb9c30be7ad5c435070d347d4c777db732f86e)
@@ -2,5 +2,4 @@
 ## $Id$
 ##
-
 
 PGM = $(ARCH)/console.rel
Index: c/src/lib/libbsp/no_cpu/no_bsp/shmsupp/Makefile.am
===================================================================
--- c/src/lib/libbsp/no_cpu/no_bsp/shmsupp/Makefile.am	(revision 8638af24e4502d3f6564802530910c0bd07c1d83)
+++ c/src/lib/libbsp/no_cpu/no_bsp/shmsupp/Makefile.am	(revision 19bb9c30be7ad5c435070d347d4c777db732f86e)
@@ -2,5 +2,4 @@
 ## $Id$
 ##
-
 
 PGM = $(ARCH)/shmsupp.rel
Index: c/src/lib/libbsp/no_cpu/no_bsp/startup/Makefile.am
===================================================================
--- c/src/lib/libbsp/no_cpu/no_bsp/startup/Makefile.am	(revision 8638af24e4502d3f6564802530910c0bd07c1d83)
+++ c/src/lib/libbsp/no_cpu/no_bsp/startup/Makefile.am	(revision 19bb9c30be7ad5c435070d347d4c777db732f86e)
@@ -2,5 +2,4 @@
 ## $Id$
 ##
-
 
 VPATH = @srcdir@:@srcdir@/../../../shared
Index: c/src/lib/libbsp/no_cpu/no_bsp/timer/Makefile.am
===================================================================
--- c/src/lib/libbsp/no_cpu/no_bsp/timer/Makefile.am	(revision 8638af24e4502d3f6564802530910c0bd07c1d83)
+++ c/src/lib/libbsp/no_cpu/no_bsp/timer/Makefile.am	(revision 19bb9c30be7ad5c435070d347d4c777db732f86e)
@@ -2,5 +2,4 @@
 ## $Id$
 ##
-
 
 PGM = $(ARCH)/timer.rel
Index: c/src/lib/libbsp/no_cpu/no_bsp/wrapup/Makefile.am
===================================================================
--- c/src/lib/libbsp/no_cpu/no_bsp/wrapup/Makefile.am	(revision 8638af24e4502d3f6564802530910c0bd07c1d83)
+++ c/src/lib/libbsp/no_cpu/no_bsp/wrapup/Makefile.am	(revision 19bb9c30be7ad5c435070d347d4c777db732f86e)
@@ -14,6 +14,7 @@
 
 # bummer; have to use $foreach since % pattern subst rules only replace 1x
-OBJS = $(foreach piece, $(BSP_FILES), $(wildcard ../$(piece)/$(ARCH)/*.$(OBJEXT))) \
-    $(foreach piece, $(GENERIC_FILES), ../../../$(piece)/$(ARCH)/$(piece).rel)
+OBJS = $(foreach piece, $(BSP_FILES), $(wildcard \
+    ../$(piece)/$(ARCH)/*.$(OBJEXT))) $(foreach piece, $(GENERIC_FILES), \
+    ../../../$(piece)/$(ARCH)/$(piece).rel)
 
 LIB = $(ARCH)/libbsp.a
